Mailinglist Archive: opensuse-buildservice (206 mails)

< Previous Next >
Re: [opensuse-buildservice] Problem with xz compressed debs on ubuntu 10.10
On Sun, Feb 20, 2011 at 12:15:41PM +0100, Gerd Fleischer wrote:
I have a problem building a package for ubuntu 10.10

it needs libkdepim5-dev which seems to be compressed with xz,
on setting up the vm it fails with error message below:

If you see "installing..." messages the vm is already set up
and running.

installing???gzip
installing???insserv
installing???install-info
installing???libakonadi-kabc4
dpkg-deb???(subprocess):???unable???to???execute???data???(xz):???No???such???file???or???directory
dpkg-deb:???subprocess???<decompress>???returned???error???exit???status???2
dpkg:???error???processing???.init_b_cache/libakonadi-kabc4.deb???(--install):
???subprocess???dpkg-deb???--fsys-tarfile???returned???error???exit???status???2
Errors???were???encountered???while???processing:
???.init_b_cache/libakonadi-kabc4.deb
exit???...
[?????????78.273746]???System???halted.

On irc it was suggested to add xz to build-depends.
I added xz-utils but that does not help as the packages that need it for
installing are installed
earlier than xz-utils and so it fails.

Any hints? Can this be added to the preinstalled packages?

Sure, just add a "Preinstall: xz-utils" line to your project config
(osc meta prjconf home:geflei -e).

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
SUSE LINUX Products GmbH, GF Markus Rex, HRB 16746 AG Nuernberg
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References